# Class GenericSignatureFormatError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.LinkageError
java.lang.ClassFormatError
java.lang.reflect.GenericSignatureFormatError

All Implemented Interfaces:
  `Serializable`

public class GenericSignatureFormatError extends ClassFormatError
Thrown when a syntactically malformed signature attribute is encountered by a reflective method that needs to interpret the generic signature information for a class or interface, method or constructor.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenericSignatureFormatError()`
  Constructs a new `GenericSignatureFormatError`.
  `GenericSignatureFormatError(String message)`
  Constructs a new `GenericSignatureFormatError` with the specified message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GenericSignatureFormatError

    public GenericSignatureFormatError()
    Constructs a new `GenericSignatureFormatError`.

  - ### GenericSignatureFormatError

    public GenericSignatureFormatError(String message)
    Constructs a new `GenericSignatureFormatError` with the specified message.
    Parameters:
      `message` - the detail message, may be `null`